// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdMetaPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdMetaPlugin", targets: ["WebIdMetaPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdVideoIdentProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-video-ident-product-plugin-spm.git",
            .branch("snapshots")
        ),
        .package(
            name: "WebIdVideoIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-video-ident-plugin-spm",
            .exact("10.7.1")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-digital-signing-plugin-spm",
            .exact("11.4.1")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ident-scan-plugin-spm",
            .exact("12.5.1")
        ),
        .package(
            name: "WebIdOnServerDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-on-server-document-scanner-spm",
            .exact("12.5.1")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdMetaPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdMetaPlugin/13.4.1/WebIdMetaPlugin.framework-v13.4.1-SNAPSHOT-1278.zip",
            checksum: "b90c838e2e56280f04302c7a14e1111a9f7a102a12f414250408541b3876396f"
        ),
        .target(
            name: "WebIdMetaPluginWrapper",
            dependencies: [
                .target(name: "WebIdMetaPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdVideoIdentProductPlugin", package: "WebIdVideoIdentProductPlugin"),
                .product(name: "WebIdVideoIdentPlugin", package: "WebIdVideoIdentPlugin"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnServerDocumentScanner", package: "WebIdOnServerDocumentScanner"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
